﻿using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;
using Steema.TeeChart.Tools;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "LightTool 클래스 : 2D 조명 시각 효과 활성화하기";

            this.tChart.Aspect.Orthogonal     = false;
            this.tChart.Aspect.Chart3DPercent = 45;
            this.tChart.Panel.Pen             = new ChartPen(Color.Black);

            Tower tower = new Tower(this.tChart.Chart);

            tower.TowerStyle = TowerStyles.Cone;

            tower.FillSampleValues();

            LightTool lightTool = new LightTool(this.tChart.Chart);

            lightTool.Style       = LightStyle.SpotLight;
            lightTool.Factor      = 12;
            lightTool.FollowMouse = true;

            Rotate rotate = new Rotate(this.tChart.Chart);

            rotate.Style = RotateStyles.Rotation;
        }

        #endregion
    }
}